=== debian/changelog ===
oblibs (0.2.1.3experimental1-1.0antix1) unstable; urgency=medium

  * antiX build from Prowler_Gr@yahoo.gr repo 

 -- anticapitalista <antix@operamail.com>  Sat, 11 May 2024 11:44:39 +0300

oblibs (0.2.1.0experimental1-1) UNRELEASED; urgency=high

  * Initial release. Experimental

 -- Prowler_Gr@yahoo.gr <Prowler73@gmail.com>  Thu, 18 Jan 2024 22:22 +1000
