=== debian/control ===
--- 
+++ 
@@ -7,7 +7,6 @@
  debhelper-compat (= 13),
  autotools-dev,
  s6 (>= 2.12),
- s6-rc (>= 0.5.4.2),
  skalibs-dev (>= 2.14),
  libs6-dev (>= 2.12),
  libexecline-dev (>= 2.9),
