## oblibs 0.3.1.0~antix1

=== debian/changelog ===
oblibs (0.3.1.0~antix1) unstable; urgency=medium

  * antiX build

 -- anticapitalista <antix@operamail.com>  Fri, 18 Sep 2024 12:20:10 +0300
