=== debian/rules ===
--- 
+++ 
@@ -19,7 +19,7 @@
 #CONFIG_OPT += --enable-absolute-paths
 #CONFIG_OPT += --enable-shared
 #CONFIG_OPT += --enable-allstatic
-#CONFIG_OPT += --HOSTNAME=antix-66
+#CONFIG_OPT += --HOSTNAME=antix1
 #CONFIG_OPT += --TMPFILE='!no'
 #CONFIG_OPT += --MODULE_SYSTEM='!no'
 #CONFIG_OPT += --MNT_PROC='!no'
@@ -31,13 +31,12 @@
 %:
 	dh $@
 
-override_dh_auto_configure-arch:
+override_dh_clean:
+	rm -rf README.md
+	dh_clean
+
+override_dh_auto_configure:
 	./tools/gen-deps.sh > package/deps.mak
 	./configure -- $(CONFIG_OPT)
 
-#override_dh_auto_configure-indep:
-#override_dh_auto_build-indep:
-#override_dh_auto_install-indep:
-#	mkdir -p debian/tmp/usr/share/doc/s6
-#	cp -aT doc debian/tmp/usr/share/doc/s6
-#override_dh_shlibdeps: --dpkg-shlibdeps-params= --ignore-missing-info
+
