=== debian/changelog ===
oblibs (0.3.2.1-0experimental1) UNRELEASED; urgency=medium

  * Rebuilt from new upstream stable release.

 -- ProwlerGr <Prowler73@gmail.com>  Sat, 29 Mar 2025 22:22:22 +1000

oblibs (0.3.0.1-0experimental1) UNRELEASED; urgency=medium

  * Rebuilt from new upstream stable release. Moved to gitlab.

 -- ProwlerGr <Prowler73@gmail.com>  Sun, 09 Jun 2024 22:22:22 +1000

oblibs (0.2.1.0experimental1-1) UNRELEASED; urgency=medium

  * Initial release. Experimental.

 -- ProwlerGr <Prowler73@gmail.com>  Thu, 18 Jan 2024 22:22:22 +1000
