=== debian/changelog ===
oblibs (0.3.4.0-0antix1) unstable; urgency=medium

  [ ProwlerGr ]
  * Upstream release 0.3.4.0.

  [ anticapitalista ]
  * antiX build

 -- anticapitalista <antix@operamail.com>  Thu, 25 Sep 2025 16:36:55 +0300
