=== debian/control ===
--- 
+++ 
@@ -6,13 +6,13 @@
 Build-Depends:
  debhelper-compat (= 13),
  autotools-dev,
- s6 (>= 2.13.1),
- skalibs-dev (>= 2.14.3),
- libs6-dev (>= 2.13.1),
- libexecline-dev (>= 2.9.6),
- execline (>= 2.9.6),
- libexecline2.9,
- libskarnet2.14t64
+ s6 (>= 2.12),
+ skalibs-dev (>= 2.14),
+ libs6-dev (>= 2.12),
+ libexecline-dev (>= 2.9),
+ execline (>= 2.9),
+ libexecline2.9 ,
+ libskarnet2.14t64 | libskarnet2.14,
 Standards-Version: 4.6.2
 Homepage: https://git.obarun.org/Obarun/oblibs
 #Vcs-Browser: https://salsa.debian.org/debian/66
