=== debian/watch ===
--- 
+++ 
@@ -33,5 +33,5 @@
 #https://pypi.debian.net/oblibs/oblibs-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
 
 # Direct Git.
-opts="mode=git" https://git.obarun.org/obarun/oblibs
+opts="mode=git" https://git.obarun.org/obarun/oblibs.git
 #    refs/tags/v([\d\.]+)
